using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Ika.Graphics;

namespace TestBoids.Collisions
{
    public abstract class CollisionsManager
    {

        protected Vector2 m_bounds;
        public Vector2 Bounds
        {
            get { return m_bounds; }
            set { m_bounds = value; }
        }

        protected Vector2 m_pos;
        public Vector2 Position
        {
            get { return m_pos; }
            set { m_pos = value; }
        }

        public abstract bool isCollideWith(CollisionsManager collision);

        public void UpdatePosition(Vector2 newpos)
        {
            Position = newpos;
        }
    }
}
